package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import com.example.ellegadodepintia.R
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState.context
import com.example.ellegadodepintia.exploradoresDePintia.model.GestorCombate
import com.example.ellegadodepintia.soundManager.SoundManager

class EfectoRevivirEnemigo(
    private val mensajeRevivir: String, private val porcentaje: Double,
    probabilidadExito: Int
) :
    Efecto(probabilidadExito) {
    private lateinit var soundManager: SoundManager
    override fun ejecutar(): String {
        soundManager = SoundManager(context!!)
        val probabilidadGenerada = (1..100).random()
        if (probabilidadGenerada <= probabilidadExito) {
            GestorCombate.cargarAnimacionsRegeneracionEnemigo()
            soundManager.playSound(R.raw.sound_healing,100)
            GameState.eventoActual.setResistencia(
                (GameState.eventoActual.resistenciaMax * porcentaje).toInt()
            )
            return mensajeRevivir

        } else {
            return "Fallo"
        }


    }
}